/* (C) 2004 by Dmytry Lavrov.
contact: dmytry lavrov at fastmail dot fm
 You can use it almost freely but
 1: don't [re]move that comment block from sources.
 2: if you distibute this code,or derived works in binary form,put somewhere
 information that i wrote it.
 No warranty at all,use that at your own risk.
*/
// uses prefix glm for each thing.
template<class T> void glmLoadTransformFrom(const CoordSys<T> &c1){
        GLdouble m[16];
        matrix3x3<T> r;
        r=QuaternionToMatrix(c1.orientation);
        m[0]=r.a[0][0];
        m[1]=r.a[1][0];
        m[2]=r.a[2][0];
        m[3]=0;

        m[4]=r.a[0][1];
        m[5]=r.a[1][1];
        m[6]=r.a[2][1];
        m[7]=0;

        m[8]=r.a[0][2];
        m[9]=r.a[1][2];
        m[10]=r.a[2][2];
        m[11]=0;

        m[12]=c1.position.x;
        m[13]=c1.position.y;
        m[14]=c1.position.z;
        m[15]=1;
        glLoadMatrixd(m);
};
template<class T> void glmLoadTransformTo(const CoordSys<T> &c1){
        glmLoadTransformFrom(Inverse(c1));
};